<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container px-0">
  <div class="row">
    <div class="col-lg-3 bg-white py-3">
      <?php $cdata = $data && array_key_exists('children', $data[0]) ? $data : $cat_data; ?>
      <?php foreach ($cdata as $row) : ?>
        <div class="accordion" style="background-color: var(--background);">
          <?php if (count($row['children']) > 0) : ?>
            <a href="javascript:void(0)" class="accordion-toggle"><?= $row['name'] ?> <i class="ix ix-chevron-right"></i></a>
          <?php else : ?>
            <a href="<?= base_url('shop/market.aspx?k=' . $row['token']); ?>" class="d-block link x"><?= $row['name'] ?></a>
          <?php endif ?>
          <?php if (count($row['children']) > 0) : ?>
            <div class="menu">
              <div class="p-2 pt-0">
                <?php foreach ($row['children'] as $child) : ?>
                  <a href="<?= base_url('shop/market.aspx?k=' . $child['token']); ?>" class="d-block link x"><?= $child['name'] ?></a>
                <?php endforeach ?>
              </div>
            </div>
          <?php endif ?>
        </div>
      <?php endforeach ?>
      <div class="pt-5 d-none d-lg-block">
        <?php include('filter.php'); ?>
        <div class="dropdown d-none" id="sort">
          <button class="dropdown-toggle btn bg-white" data-bs-toggle="dropdown">Sort By &nbsp;</button>
          <div class="dropdown-menu dropdown-menu-end">
            <?php $sort = $this->session->userdata('xfront_filter_sort'); ?>
            <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=newest'); ?>" class="dropdown-item linker <?= $sort == 'newest' ? 'active' : '' ?>">New Arrivals</a>
            <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=lowest'); ?>" class="dropdown-item linker <?= $sort == 'lowest' ? 'active' : '' ?>">Lowest to highest Price</a>
            <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=highest'); ?>" class="dropdown-item linker <?= $sort == 'highest' ? 'active' : '' ?>">Highest to lowest Price</a>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-9 d-none d-lg-block">
      <div class="ps-lg-5" id="content">
        <?php if ((isset($load_market) && $load_market == true) or isset($market)) include('md-market.php'); ?>
      </div>
    </div>
  </div>
</div>
<span id="page-title">Categories</span>
<script type="text/javascript">
  let market = '';
  $('#sort').appendTo($('#sub-title')).removeClass('d-none');
  $('.link.x').click(function(e) {
    if ($('#content').is(':visible'))
      e.preventDefault();

    if (market != $(this).attr('href')) {
      let me = $(this);
      market = me.attr('href');
      $('.link').removeClass('active');
      me.addClass('active');
      $.get(market + '&auth=true', function(res) {
        $('.crumbs').next().text(me.text());
        $('#content').html(res);
      }).fail(function(s, x, r) {
        toast('warning', 'Error', 'Request Failed' + r);
      });
    }
  })
</script>