<?php
defined('BASEPATH') or exit('No direct script access allowed');

$route['default_controller'] = 'index_control';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;
$route['login']                         = 'login/not_found';
$route['signin']                        = 'login/login';
$route['register']                      = 'login/register';
$route['authenticate']                  = 'login/signin';
$route['signup']                        = 'login/signup';
$route['google-login']                  = 'login/google';
$route['logged']                        = 'login/callback';
$route['shop/(:any)']                   = 'index_control/shop/$1';
$route['shop']                          = 'index_control/shop';
$route['details']                       = 'cart_control/details';
$route['cart']                          = 'cart_control/cart';
$route['checkout/(:any)']               = 'cart_control/process/$1';
$route['checkout']                      = 'cart_control/checkout';
$route['paypal/checkout']               = 'paypal_control/paynow';
$route['account/(:any)']                = 'account_control/pages/$1';
$route['account']                       = 'account_control';
$route['pay/checkout']                  = 'payment_control/paynow';
$route['verify_pay/(:any)']             = 'payment_control/verifier/$1';
$route['verify_pay']                    = 'payment_control/verifier';
$route['verifx_pay/(:any)']             = 'payment_control/hook/$1';
$route['reset/(:any)']                  = 'filter_control/unsess/$1';
$route['filter/(:any)']                 = 'filter_control/filter/$1';
$route['shop/put/(:any)']               = '$1' . '_control/update';
$route['shop/post/(:any)']              = '$1' . '_control/create';
$route['shop/drop/(:any)']              = '$1' . '_control/delete';
$route['shop/pop/(:any)']               = '$1' . '_control/popup';
$route['generate/download']             = 'receipt_control/download';
$route['generate/(:any)']               = 'receipt_control/generate/$1';
$route['stock_limit']                   = 'items_control/stock';
$route['theme']                         = 'login/theme';
$route['signout']                       = 'login/signout';
