<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Filter_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();
  }

  public function index() {}

  function filter($page)
  {
    if ($page == 'price') {
      $min = trim($this->input->post('min'));
      $max = trim($this->input->post('max'));
      if ($min == '' && $max == '') exit(json_encode(['status'=>'error', 'message'=>'Enter price range']));
      if ($min && ( ! is_numeric($min) OR $min < 100)) exit(json_encode(['status'=>'error', 'message'=>'Set a valid lowest price']));
      elseif ($max && ( ! is_numeric($max) OR $max < 1000 OR (is_numeric($min) && $min >= $max))) 
        exit(json_encode(['status'=>'error', 'message'=>'Set a valid highest price']));
      if ($min > 0) $_SESSION['xfront_filter_min'] = $min;
      if ($max > 0) $_SESSION['xfront_filter_max'] = $max;
    } elseif ($page == 'sort') {
      $k = $this->input->get('k');
      if ( ! in_array($k, ['newest', 'lowest', 'highest'])) return false;

      $_SESSION['xfront_filter_sort'] = $k;
    }

    echo (json_encode(['status'=>'success', 'message'=>'', 'extra'=>'reload']));
  }

  function unsess($key)
  {
    $sess = 'xfront_filter_'.$key;
    unset($_SESSION[$sess]);
    if ($key == 'price') {
      unset($_SESSION['xfront_filter_min']);
      unset($_SESSION['xfront_filter_max']);
    }
    echo (json_encode(['status'=>'success', 'message'=>'']));
  }
}
