<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if ( ! isset($_SESSION['xfront_customer'])): ?>
  <?php require_once('not_logged.php') ?>
<?php elseif ($this->session->flashdata('xfront_message') != ''): ?>
<div class="d-flex justify-content-center align-items-center position-fixed bg-white" style="top: 0; bottom: 0; left: 0; right: 0; z-index: 99999">
  <div class="text-center">
    <img src="<?= base_url('assets/images/success.png'); ?>" />
    <h3 class="py-2 mt-3"><b>Complaint Submitted</b></h3>
    <p>We will get back to you shortly. Thank you for reaching out.</p>
    <div class="fixed-bottom bg-white">
      <div class="container py-3 ">
        <a href="<?= base_url('shop'); ?>" class="btn btn-supreme submit w-100">Back To Home</a>
      </div>
    </div>
  </div>
</div>
<?php else: ?>
<div class="py-3">
  <h6 class="py-3">Please fill all details</h6>
  <?= form_open(base_url('complain'), ['class'=>'myForm']); ?>
    <div class="form-group mb-3">
      <b>E-mail address</b>
      <input type="email" name="email" class="form-control" placeholder="Enter email address" value="<?= $profile['email'] ?>" required />
    </div>
    <div class="form-group mb-3">
      <b>Title</b>
      <select class="form-select" name="type">
        <option class="d-none">Choose a category</option>
        <option value="dispatch">Dispatch issue</option>
        <option value="payment">Payment issue</option>
      </select>
    </div>
    <div class="form-group mb-3">
      <b>More information</b>
      <textarea rows="6" name="details" class="form-control" placeholder="Tell us what the problem is" required></textarea>
    </div>
    <div class="fixed-bottom bg-white">
      <div class="container py-3">
        <button data-ref="<?= base_url('shop/post/support'); ?>" class="btn btn-supreme submit-x w-100">Submit</button>
      </div>
    </div>
  <?= form_close(); ?>
</div>
<?php endif ?>
<span id="page-title">Raise Complaint</span>
