<?php if (!isset($data)) exit(''); $row = []; ?>
<div class="table-responsive">
  <table class="table table-borderless">
    <thead>
      <tr class="text-center">
        <th width="20px">#</th>
        <th class="text-start">Product</th>
        <th width="100px">Price (PU)</th>
        <th width="60px">Quantity</th>
        <th width="100px">sub total</th>
      </tr>
    </thead>
    <tbody>
  <?php 
    $c = $total = 0;
    foreach ($data as $row): $c++; 
      $price = $items[$row['item']]['price'];
      $quantity = $row['quantity'];
      $total += $price[0] * $quantity;
  ?>
      <tr class="text-end text-nowrap">
        <td><?= $c ?></td>
        <td class="text-start text-wrap"><?= $items[$row['item']]['name'] ?></td>
        <td><span class="money"><?= number_format($price[0], 1) ?></span></td>
        <td><?= $quantity; ?></td>
        <td><span class="money"><?= number_format($price[0] * $quantity, 1); ?></span></td>
      </tr>
  <?php endforeach ?>
    </tbody>
  </table>
</div>
<table class="table table-sm ms-auto" style="max-width: 320px">
  <tbody>
    <tr>
      <td><b>Total</b></td>
      <td class="text-end"><b class="money"><?= number_format($total, 2); ?></b></td>
    </tr>
    <tr>
      <td><b>VAT (<?= $settings['vat']; ?>%)</b></td>
      <td class="text-end"><b class="money"><?= number_format(($settings['vat'] * $total) / 100, 2); ?></b></td>
    </tr>
    <?php $grand = ($settings['vat'] * $total / 100) + $total; ?>
    <tr>
      <td><b>Grand Total</b></td>
      <td class="text-end"><b class="money"><?= number_format($grand, 2); ?></b></td>
    </tr>
  </tbody>
</table>
<table class="table table-borderless" id="table-2">
  <tbody class="text-nowrap">
    <tr>
      <td>Prepared By: <br><b><?= $_SESSION['xfront_receipt_name']; ?> <br><?= $_SESSION['xfront_receipt_phone']; ?></b></td>
      <td class="text-end">Customer Name: <b><?= $waybill->customer_name ; ?></b><br><br>
        Phone Number: <b><?= $waybill->customer_phone; ?></b><br><br>
      </td>
    </tr>
    <tr>
      <td>Sign: _________________________________</td>
      <td class="text-end">Sign: _________________________________</td>
    </tr>
    <tr><td style="color: #777;" colspan="2"><br><i>Printed: <b><?= date('d F, Y - h:ia', strtotime('+1 hour')); ?></b></i></td></tr>
  </tbody>
</table>