function copyX() {
  navigator.clipboard.writeText(document.location.href);
  alert('A shareable link has been copied to clipboard');
}

let image = null;
let paper = document.getElementById('paper');
html2canvas(paper).then(function(canvas) {
  let data = canvas.toDataURL();

  $('#img').val(data);
  image = data.replace("data:image/png;base64,", "");
});

$('#download2').click(function(e) {
  e.preventDefault();

  downloadBase64File('image/png', image, $('#filename').val());
})

function downloadBase64File(contentType, base64Data, fileName) {
  const linkSource = `data:${contentType};base64,${base64Data}`;
  const downloadLink = document.createElement("a");
  downloadLink.href = linkSource;
  downloadLink.download = fileName;
  downloadLink.click();
}
